.associated {
    min-height: 55vh;
    padding: 40px 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: white; /* Lighter contrast to distinguish from the form background */
    text-align: center;
    margin-top: 100px;
}

.associated .heading {
    font-weight: 600;
    color: #333;
    margin-bottom: 30px;
}
#associated-heading{
    margin-bottom: 60px;
}
.associated > a {
    margin: 30px;
    padding: 12px 30px;
    background-color: #4880da; 
    color: white;
    border-radius: 5px;
    text-decoration: none;
    font-size: 16px;
    transition: background-color 0.3s ease;
}

.associated > a:hover {
    background-color: #4b87e7;
}

.slider {
    max-width: 80%;
    margin: 0 auto;
    display: flex;
    overflow: hidden;
    width: 100%;
    position: relative;
    border-radius: 10px;
}

.slide-track {
    display: flex;
    animation: scroll 15s linear infinite;
}

.slide {
    min-width: 190px;
    transition: transform 0.5s ease;
}

.slide img {
    margin: 0 20px;
    border-radius: 10px;
    /* box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); */
    transition: transform 0.3s ease;
}

.slide img:hover {
    transform: scale(1.05);
}

/* Modal styles */
.modal {
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    overflow: auto;
    background-color: rgba(0,0,0,0.8);
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .modal-content {
    max-width: 90%;
    max-height: 80%;
    border-radius: 10px;
    box-shadow: 0 0 20px #000;
  }
  
  .close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: white;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    user-select: none;
    transition: color 0.3s;
  }
  
  .close:hover {
    color: #bbb;
  }

/* Animation for infinite scroll */
@keyframes scroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(calc(-190px * 5));
    }
}

/* Media Queries for Mobile Responsiveness */
@media only screen and (max-width: 768px) {
    .associated {
        padding: 20px;
        margin-top: 0;
    }

    .heading {
        font-size: 28px;
    }

    .slider {
        width: 100%;
        max-width: 100%;
    }

    .slide img {
        margin: 0 10px;
        width: auto;
        height: 150px;
    }

    .slide-track {
        animation: scroll 12s linear infinite;
    }
}

@media only screen and (max-width: 480px) {
    .heading {
        font-size: 18px;
    }

    .associated > a {
        padding: 10px 20px;
        font-size: 14px;
    }

    .slide img {
        width: 120px;
    }
}
